@echo off
goto START

    Sample batch file using LOGECHO.COM which allows echoing but
    with the following macro substitutions:

    $D  day (01..31)       $C  century (19|20)          $h  hour
    $M  month (01..12)     $W  day of week (Sun..Sat)   $m  minutes
    $N  month (Jan..Dec)   $V  day of week (0..6)       $s  seconds
    $H  month (hex 1..C)   $Z  day of year (001..366)   $c  sec/100
    $Y  year (00..99)      $$  '$'

:START
echo.                                                      > your.log
logecho ( YOUR.LOG for $W, $N $D, $C$Y ) >> your.log
logecho            Opened log: $h:$m                      >> your.log
echo.   >>your.log
:MENU
cls
type your.log
echo.
echo    Ŀ
echo      1) User logging on  2) System Malfunction  3) Coffee Break  
echo                     press ESCAPE to quit                         
echo    
choice /c123/n
if errorlevel 4 goto 4
if errorlevel 3 goto 3
if errorlevel 2 goto 2
if errorlevel 1 goto 1
:1
logecho $h:$m:$s - Someone is actually logging on!        >> your.log
goto MENU
:2
logecho $h:$m:$s - The durned computer is hung...         >> your.log
goto MENU
:3
logecho $h:$m:$s - System operator resorts to Java        >> your.log
goto MENU
:4
logecho $h:$m:$s - Operator hangs it up for $W.           >> your.log
echo.                                                     >> your.log
logecho            Closed log: $h:$m                      >> your.log
logecho ( YOUR.LOG for $W, $N $D, $C$Y ) >> your.log
echo.                                                     >>your.log
cls
type your.log
echo.
